// © 2024 Long Ly. All rights reserved. Any unauthorized use, reproduction, or distribution of this trademark is strictly prohibited and may result in legal action.

#pragma once

#include "CoreMinimal.h"
#include "UObject/Object.h"

UENUM(BlueprintType, meta = (ScriptName="OLS_Stance"))
enum class EOLSStance : uint8
{
	ECrouching UMETA(DisplayName = "Crouching"),
	EStanding UMETA(DisplayName = "Standing")
};

UENUM(BlueprintType, meta = (ScriptName="OLS_LocomotionState"))
enum class EOLSGait : uint8
{
	EWalk UMETA(DisplayName = "Walk"),
	EJog UMETA(DisplayName = "Jog"),
	ESprint UMETA(DisplayName = "Sprint")
};

UENUM(BlueprintType, meta = (ScriptName="OLS_RotationMode"))
enum class EOLSRotationMode : uint8
{
	EVelocityDirection UMETA(DisplayName = "Velocity Direction"),
	ELookingDirection UMETA(DisplayName = "Looking Direction"),
	EAiming UMETA(DisplayName = "Aiming")
};